/***************************************************
* システム名      電子入札コアシステム
* サブシステム名  共通部品
* config.js
* 環境設定関数を格納
* @author  NEC
* @version 2002.02.16，新規作成
*          2002.03.28, 登録コマンドの追加(Timer、Nyusatsusyo、PlannedPrice、MultiSign)
*          2002.05.20, 登録コマンドの修正(MultiSign)
*          2002.09.20, 登録コマンドの追加(NameSign, Utils)
*
*
***************************************************/

function initialize() {
  
  executeCmd("system.addCommandClass('','jp.co.nec.ome.plugin.applet.command.StandardCommandImpl')");

  executeCmd("system.addPropertyEnvironment('','jp.co.nec.ome.plugin.applet.property.PropertyEnvironmentImpl')");
  executeCmd("system.addPropertyEnvironment('session','jp.co.nec.ome.plugin.applet.property.PropertyEnvironmentImpl')");
  executeCmd("system.addPropertyEnvironment('script','jp.co.nec.ome.plugin.applet.property.ScriptPropertyEnvironmentImpl')");
  executeCmd("system.addPropertyEnvironment('value','jp.co.nec.ome.plugin.applet.property.ImediatePropertyEnvironmentImpl')");
  executeCmd("system.addPropertyEnvironment('system','jp.co.nec.ome.plugin.applet.property.SystemPropertyEnvironmentImpl')");
  
  executeCmd("system.addCommandClass('RandomSign','jp.or.jacic.ebidfw.applet.command.EbRandomKeySignCommand')");
  executeCmd("system.addCommandClass('Timer','jp.or.jacic.ebidfw.applet.command.EbTimerCommand')");
  executeCmd("system.addCommandClass('DocSign','jp.or.jacic.ebidfw.applet.command.EbDocumentSignCommand')");
  executeCmd("system.addCommandClass('HTMLViewer','jp.or.jacic.ebidfw.applet.command.EbHTMLViewCommand')");
  executeCmd("system.addCommandClass('Shinseisyo','jp.or.jacic.ebidfw.applet.command.EbShinseisyoCommand')");
  executeCmd("system.addCommandClass('Nyusatsusyo','jp.or.jacic.ebidfw.applet.command.EbNyusatsusyoCommand')");
  executeCmd("system.addCommandClass('PlannedPrice','jp.or.jacic.ebidfw.applet.command.EbPlannedPriceCommand')");
  executeCmd("system.addCommandClass('MultiSign','jp.or.jacic.ebidfw.applet.command.EbMultiSignedCommand')");
  executeCmd("system.addCommandClass('NameSign','jp.or.jacic.ebidfw.applet.command.EbLoginNameSignCommand')");
  executeCmd("system.addCommandClass('Utils','jp.or.jacic.ebidfw.applet.command.EbUtilsCommand')");

}



